View Issue Details

IDProjectCategoryView StatusLast Update
0001201Far ManagerHelp/Languagepublic2011-12-23 19:12
ReporterJohnDoeAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001201: В Far 2 не работает переход на URL
DescriptionПроблема только в Far 2 и только под Windows XP

При попытке перейти по ссылке:
╔═════════════ Help ══════════════╗
║ Requested help topic not found: ║
http://www.farmanager.com
║ OK ║
╚═════════════════════════════════╝
Steps To ReproduceF1 Обзор возможностей подключаемых модулей End
Additional InformationТо же самое и при использовании плагина HlfViewer
http://forum.farmanager.com/viewtopic.php?f=9&t=4664&start=0
TagsNo tags attached.
Build2313

Activities

vskirdin

2010-01-22 17:20

administrator   bugnote:0004831

build 1352

JohnDoe

2010-01-23 23:59

updater   bugnote:0004832

Last edited: 2010-01-24 00:17

View 2 revisions

---------
[HKEY_CURRENT_USER\Software\Far2\Help]
"ActivateURL"=dword:00000002
---------
         This reference starts the external application:
"c:\program files\Mozilla Firefox 3\firefox.exe" -requestPending -osint -url "
                         with parameter:
                    http://www.farmanager.com

                     Do you wish to start it?
                             Yes No
---------
В результате браузер не открывается (возможно последняя кавычка - лишняя).

В 1.75 сообщение такое же, но браузер таки открывается.
Правда не мозилла, а ie (!)

vskirdin

2010-01-24 09:33

administrator   bugnote:0004834

что-то у тебя не все гладко с виндой
у меня и запускается и открывается
про кавычку - фар тут не причем, он тупо взял данные из реестра

JohnDoe

2010-04-30 12:22

updater   bugnote:0005288

Про кавычку.
В реестре "c:\program files\Mozilla Firefox 3\firefox.exe" -requestPending -osint -url "%1"
А в сообщении обрезано %1"

alexy

2011-12-23 14:54

administrator   bugnote:0008206

2313

JohnDoe

2011-12-23 17:59

updater   bugnote:0008219

Проверить не могу: описанный баг давно у меня не повторяется (т.к. зависел от настроек винды, установленной на машине, которой у меня давно нет)

samlyukov

2011-12-23 18:04

reporter   bugnote:0008220

а зачем статус поменял? с "нужен отклик => назначен"

JohnDoe

2011-12-23 19:07

updater   bugnote:0008221

Я не менял, оно автоматически. Попробую вернуть в feedback...

Issue History

Date Modified Username Field Change
2009-12-04 20:52 JohnDoe New Issue
2010-01-22 17:15 vskirdin Status new => assigned
2010-01-22 17:15 vskirdin Assigned To => vskirdin
2010-01-22 17:20 vskirdin Note Added: 0004831
2010-01-22 17:20 vskirdin Status assigned => feedback
2010-01-23 23:59 JohnDoe Note Added: 0004832
2010-01-24 00:17 JohnDoe Note Edited: 0004832 View Revisions
2010-01-24 09:33 vskirdin Note Added: 0004834
2010-04-30 12:22 JohnDoe Note Added: 0005288
2010-04-30 12:22 JohnDoe Status feedback => assigned
2011-12-23 14:54 alexy Note Added: 0008206
2011-12-23 14:54 alexy Assigned To vskirdin => alexy
2011-12-23 14:54 alexy Status assigned => feedback
2011-12-23 17:59 JohnDoe Note Added: 0008219
2011-12-23 17:59 JohnDoe Status feedback => assigned
2011-12-23 18:04 samlyukov Note Added: 0008220
2011-12-23 19:07 JohnDoe Note Added: 0008221
2011-12-23 19:07 JohnDoe Status assigned => feedback
2011-12-23 19:12 alexy Build => 2313
2011-12-23 19:12 alexy Status feedback => closed
2011-12-23 19:12 alexy Resolution open => fixed
2011-12-23 19:12 alexy Fixed in Version => 3.0